unit TStringHex1;

interface

uses
  System.SysUtils, System.Classes, Vcl.Controls, Vcl.StdCtrls;

type
  TStringHex = class(TComponent)
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    function StringToHex(Str: String): String;
    function HexToString(Hex: String): String;
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Agus Component', [TStringHex]);
end;

{ TStrToHex }

function TStringHex.HexToString(Hex: String): String;
var I : Integer;
begin
  Result:= '';
  for I := 1 to length (Hex) div 2 do
    Result:= Result+Char(StrToInt('$'+Copy(Hex,(I-1)*2+1,2)));
end;

function TStringHex.StringToHex(Str: String): String;
var I: Integer;
begin
  Result:= '';
  for I := 1 to length (Str) do
    Result:= Result+IntToHex(ord(Str[i]),2);
end;

end.
